mbed TLS v2.14.1

Data Fields
mbedtls_x509_crt_profile Struct Reference
X.509 module

`#include <x509_crt.h>`

## Data Fields
uint32_t | allowed_mds
uint32_t | allowed_pks
uint32_t | allowed_curves
uint32_t | rsa_min_bitlen

## Detailed Description

Security profile for certificate verification.

All lists are bitfields, built by ORing flags from MBEDTLS_X509_ID_FLAG().

Definition at line 108 of file x509_crt.h.

## Field Documentation

## ◆ allowed_curves

uint32_t mbedtls_x509_crt_profile::allowed_curves

Elliptic curves for ECDSA

Definition at line 112 of file x509_crt.h.

## ◆ allowed_mds

uint32_t mbedtls_x509_crt_profile::allowed_mds

MDs for signatures

Definition at line 110 of file x509_crt.h.

## ◆ allowed_pks

uint32_t mbedtls_x509_crt_profile::allowed_pks

PK algs for signatures

Definition at line 111 of file x509_crt.h.

## ◆ rsa_min_bitlen

uint32_t mbedtls_x509_crt_profile::rsa_min_bitlen

Minimum size for RSA keys

Definition at line 113 of file x509_crt.h.

The documentation for this struct was generated from the following file:

- x509_crt.h